# Cactus Theme

Toasted Cactus is a really minimalistic theme for bloggers based on [Cactus for Hugo](https://github.com/digitalcraftsman/hugo-cactus-theme).
Tracking code, sharing, disqus and highlight.js were removed, resulting in a base design < 5kb minified and gzipped.
![Screenshot](https://raw.githubusercontent.com/digitalcraftsman/hugo-cactus-theme/dev/images/screenshot.png)


## Installation

Inside the folder of your Hugo site run:

    $ cd themes
    $ git clone https://git.webschneider.org/schneider/toasted-cactus

For more information read the official [setup guide](//gohugo.io/overview/installing/) of Hugo.

### The config file

Take a look inside the [`exampleSite`](//github.com/digitalcraftsman/hugo-cactus-theme/tree/dev/exampleSite) folder of this theme. You'll find a file called [`config.toml`](//github.com/digitalcraftsman/hugo-cactus-theme/blob/dev/exampleSite/config.toml).

To use it, copy the [`config.toml`](//github.com/digitalcraftsman/hugo-cactus-theme/blob/dev/exampleSite/config.toml) in the root folder of your Hugo site. Feel free to change strings as you like to customize your website.

Make sure to update the `themesDir` property in the config file to point to your site's theme folder otherwise an error will be thrown indicating the themes folder is unable to be found.

## About page

Use the about page to introduce yourself to your visitors. You can customize the content as you like in the [`config.toml`](//github.com/digitalcraftsman/hugo-cactus-theme/blob/dev/exampleSite/config.toml). Furthermore, you should replace the [avatar placeholder](//github.com/digitalcraftsman/hugo-cactus-theme/blob/master/static/images/avatar.png) with a great image of yourself.

## Hide pages

Pages can be hidden and don't appear in the post list on the homepage if you add the variable `hidden = true` to the frontmatter. This allows you to link from elsewhere, i.e. just the menu. 

## Nearly finished

In order to see your site in action, run Hugo's built-in local server. 

    $ hugo server

Now enter [`localhost:1313`](http://localhost:1313) in the address bar of your browser.



## License

This theme is released under the MIT license. For more information read the [license](https://git.webschneider.org/schneider/toasted-cactus/src/master/LICENSE.md).


## Acknowledgements

Thanks to

- [digitalcraftsman](https://github.com/digitalcraftsman) for porting the Cactus theme
- [Nick Balestra](https://github.com/nickbalestra/kactus) for creating the original theme
- [Steve Francia](https://github.com/spf13) for creating Hugo and the awesome community around the project.
